/**
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.servicemix.bean.beans;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.servicemix.bean.Property;
import org.apache.servicemix.bean.XPath;
import org.apache.servicemix.bean.Content;
import org.apache.servicemix.bean.Endpoint;

import javax.jbi.messaging.MessageExchange;

/**
 * A simple POJO which uses annotations to expose it on a JBI bus
 *
 * @version $Revision: 466115 $
 */
@Endpoint(name="cheese", targetNamespace = "urn:test", serviceName = "service")
public class AutoDeployedBean {

    private static final Log log = LogFactory.getLog(AutoDeployedBean.class);

    private MessageExchange foo;
    private MessageExchange bar;

    public void foo(MessageExchange messageExchange) {
        this.foo = messageExchange;
        log.info("foo() called with exchange: " + messageExchange);
    }

    public void bar(MessageExchange messageExchange) {
        this.bar = messageExchange;
        log.info("bar() called with exchange: " + messageExchange);
    }
}
